#ifndef XGPUTEXTURESIZE3D_H
#define XGPUTEXTURESIZE3D_H

#include "xasset.h"

class XGpuTextureSize3D : public XAsset
{
public:
    explicit XGpuTextureSize3D();

    void ParseData(QDataStream *aStream) override;
    void Clear() override;

private:
    quint32 mWidth;
    quint32 mHeight;
    quint32 mDepth;
};

#endif // XGPUTEXTURESIZE3D_H








